package jp.sourceforge.projects.ee2e.core.cf;

import jp.sourceforge.projects.ee2e.core.editors.EE2EIndentBehavior;
import jp.sourceforge.projects.ee2e.core.editors.EE2EIndentJsp;
import jp.sourceforge.projects.ee2e.core.editors.EE2EIndentXML;

/**
 * To change this generated comment edit the template variable "typecomment":
 * Window&gt;Preferences&gt;Java&gt;Templates.
 * To enable and disable the creation of type comments go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation.
 *
 * @author Toshikazu Ando [ ando@park.ruru.ne.jp ]
 */
public class EE2ECFJsp extends EE2ECFXml {
    public EE2ECFJsp() {
        super();
    }

    /**
     * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECF#tabIndentAction()
     */
    public EE2EIndentBehavior indentAction() {
        if(jspb == null) {
            EE2EIndentXML xml = this.createIndentXML();
            jspb = new EE2EIndentJsp(xml);
        }
        return jspb;
    }
    private EE2EIndentJsp jspb;

	/**
	 * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECF#tabFormatAction()
	 */
    public EE2EIndentBehavior tabFormatAction() {
        return null;
    }

    /**
     * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECF#getFactoryName()
     */
    public String getFactoryName() {
        return "jsp";
    }
}
